gnutls_x509_crq_set_private_key_usage_period(3)

NAME
gnutls_x509_crq_set_private_key_usage_period - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_private_key_usage_period(gnutls_x509_crq_t crq, time_t activation, time_t expiration);

ARGUMENTS

gnutls_x509_crq_t crq
    a certificate of type gnutls_x509_crq_t

time_t activation
    The activation time

time_t expiration
    The expiration time

DESCRIPTION
This function will set the private key usage period extension (2.5.29.16).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/